# LabelName

Property in [BasicBlock](/2.4/api/csharp/yarn.compiler/yarn.compiler.basicblock.md)

## Summary

Gets the name of the label that this block begins at, or null if this basic block does not begin at a labelled instruction.

```csharp
public string LabelName { get; set; }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.4/api/csharp/yarn.compiler/yarn.compiler.basicblock/yarn.compiler.basicblock.labelname.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
